#include <SoftwareSerial.h>

SoftwareSerial BTSerial(0, 1); // 声明软串口对象，RX连接到Arduino数字引脚0，TX连接到数字引脚1
char c = ' '; // 初始化字符变量c，用于存储接收到的数据


void setup() {
  Serial.begin(9600); // 初始化硬串口，用于输出调试信息
  BTSerial.begin(9600); // 初始化软串口，用于与蓝牙模块通信
  Serial.println("Bluetooth Ready");
  Serial.println("Waiting for commands...");
}

void loop() {
  // 如果有数据可用，读取数据并将其打印到串口监视器中
  if (BTSerial.available()) {
    c = BTSerial.read();
    Serial.println(c);
  }

  // 当接收到字符 '1' 时，向蓝牙模块发送响应
  if (c == "Y") {
    BTSerial.println("ready!");
    c = ' ';
  }

  // 当接收到字符 '0' 时，向蓝牙模块发送响应
  if (c == "N") {
    BTSerial.println("Ending");
    c = ' ';
  }

  delay(100); // 延时100毫秒以避免串口读取速度过快
}
